Core - Task # 55009

Epic # 55575 (Accepted): Streamline JavaScript Code in the TYPO3 Backend

Status: Resolved Priority: Should have
Author: Michiel Roos Category:

Created: 2014-01-15 Assigned To:

Updated: 2014-02-07 Due date:

TYPOS3 Version: 6.2

PHP Version: 53

Complexity: easy

Sprint Focus:

Subject: Replace $GLOBALS['LANG']->JScharCode() with

\TYPO3\CMS\Core\Utility\GeneralUtility::encodeJavaScriptString()

Description

The expensive JScharCode() calls (many calls to substr(), chr() and ord()) can be replaced with calls to

\TYPO3\CMS\Core\Utility\GeneralUtility::encodeJavaScriptString()

Take care to add quotes around the result.

Related issues:

follows Core - Task # 54560: Replace JavaScriptEncoder with json_encode() Resolved

2013-12-22

Associated revisions

Revision 006a2e1f - 2014-02-07 10:44 - Michiel Roos

[CLEANUP] $LANG->JScharCode() => quotedSvalue()

Replace JscharCode() with GeneralUtility::quoteJSvalue()

Instead of making JavaScript use a String.fromCharCode, it will now use
a sanitized quoted string.

Change-Id: 1df81d5524d4bbb60b515670aa13648aa52064905
Resolves: #55009
Releases: 6.2

Reviewed-on: https://review.typo3.0rg/27380

Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Michiel Roos
Tested-by: Michiel Roos
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

History

#1 - 2014-01-15 10:17 - Michiel Roos

Depends on http://forge.typo3.org/issues/54560

#2 - 2014-02-02 11:25 - Daniel Siepmann

2015-08-04
https://review.typo3.org/27380
http://forge.typo3.org/issues/54560

- Parent task set to #55575

#3 - 2014-02-06 16:40 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27380

#4 - 2014-02-06 16:45 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27380

#5 - 2014-02-06 23:46 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/27380

#6 - 2014-02-07 10:36 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27380

#7 - 2014-02-07 10:36 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27380

#8 - 2014-02-07 11:30 - Michiel Roos
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:006a2e1f7bebc09480944df9d10467a0c230a776.
